#!/bin/bash
SRC='lbmn_relax_xy_D.c lbmn_colormap.c lbmn_mesh_xy_D.c lbmn_anls_xy_D.c demo_xy_problems_1.c demo_xy_problems_2.c demo_xy_problems_3.c demo_xy_problems_4.c demo_xy.c'
OUTPUT='DEMO_XY.run'
CFLAGS='-std=c99 -pedantic -Werror -Wall -W -Wmissing-prototypes -Wstrict-prototypes -Wconversion -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -Wnested-externs -fshort-enums -fno-common -Dinline=  -O2'
PROCESSOR="-march=x86-64"
gcc $CFLAGS $SRC $PROCESSOR -o $OUTPUT -lm
